# Poco::Data

# class Range

Library: Data
Package: DataCore
Header: Poco/Data/Range.h

## Description

Range stores information how many rows a query should return.

## Member Summary

Member Functions: lower, upper

## Constructors

### Range

Range(
Poco::UInt32 lowValue,
Poco::UInt32 upValue,
bool hardLimit
);

Creates the Range. lowValue must be smaller equal than upValue

## Destructor

### ~Range

~Range();

Destroys the Limit.

## Member Functions

### lower

const Limit & lower() const;

Returns the lower limit

### upper

const Limit & upper() const;

Returns the upper limit